summaryrefslogtreecommitdiffstats
path: root/dvm
diff options
context:
space:
mode:
Diffstat (limited to 'dvm')
-rw-r--r--dvm/764829/testcase27
1 files changed, 27 insertions, 0 deletions
diff --git a/dvm/764829/testcase b/dvm/764829/testcase
new file mode 100644
index 0000000..bf1d67f
--- /dev/null
+++ b/dvm/764829/testcase
@@ -0,0 +1,27 @@
+#!/bin/bash
+# Bug 764829 ".." entry in mount point missing
+
+source $cwd/regression_helpers
+
+$GLUSTERFSDIR/gluster volume create $global_bug_id $(hostname):$EXPORT_DIR/$global_bug_id/brick1 2>/dev/null 1>/dev/nul
+
+
+
+$GLUSTERFSDIR/gluster volume start $global_bug_id 2>/dev/null 1>/dev/null
+sleep 5
+
+mount_glusterfs $global_bug_id
+cd $FUSE_MOUNT
+
+# Check whether ".." entry exists
+
+ls -a | grep '\.\.' 1>/dev/null 2>/dev/null
+
+ret=$?
+
+if [ $ret -ne 0 ]; then
+ exit 1
+else
+ exit 0
+fi
+